import {IClientOptions} from './interfaces';
import {AccountsEndpoint, ResourcesEndpoint, 
        TranslationProjectsEndpoint} from './endpoints';


export default class OHTClient {
    options : IClientOptions;
    accounts : AccountsEndpoint;
    resources : ResourcesEndpoint;
    translations: TranslationProjectsEndpoint;

    constructor(options : IClientOptions) {
        this.options = options;

        // Endpoints.
        this.accounts = new AccountsEndpoint(this);
        this.resources = new ResourcesEndpoint(this);
        this.translations = new TranslationProjectsEndpoint(this);
    }
}
